-- $Header: /code/pg_trompe/drop.sql,v 1.1 2007/06/29 13:30:54 doj Exp $

-- drop replication from a database

CREATE OR REPLACE FUNCTION replication.drop()
RETURNS int
AS $emp_stamp$
 DECLARE
  t RECORD;
 BEGIN
  FOR t IN select * from replication.tables LOOP
    IF t.lo = TRUE THEN
      EXECUTE 'DROP TRIGGER ' || t.name || '_replication_loevent on ' || t.name;
    ELSE
      EXECUTE 'DROP TRIGGER ' || t.name || '_replication_event on ' || t.name;
    END IF;
  END LOOP;
  RETURN 0;
 END;
$emp_stamp$ LANGUAGE plpgsql;

select replication.drop();

DROP SCHEMA replication CASCADE;
