#!/bin/sh
# $Header: /code/pg_trompe/testdb.sh,v 1.4 2007/07/03 15:53:36 doj Exp $

doit()
{
  N=$1
  dropdb $N
  createdb -E LATIN1 $N || exit 1
  createlang plpgsql $N || exit 1
  psql -f replication.sql $N || exit 1
  psql -f testtable.sql $N || exit 1
  psql -f test${N}.sql $N || exit 1
}

if [ -z "$1" ] ; then
  doit a
  doit b
  doit c
  doit d
fi

perl replication.pl -local_dbname a -remote_dbname b -compare_db yes || exit 1
perl replication.pl -local_dbname b -remote_dbname c -compare_db yes || exit 1
perl replication.pl -local_dbname c -remote_dbname d -compare_db yes || exit 1
